---
title: llarp::DiscardMessage

---

# llarp::DiscardMessage





Inherits from [llarp::ILinkMessage](Classes/structllarp_1_1ILinkMessage.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[DiscardMessage](Classes/structllarp_1_1DiscardMessage.md#function-discardmessage)**() |
| virtual bool | **[BEncode](Classes/structllarp_1_1DiscardMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |
| virtual void | **[Clear](Classes/structllarp_1_1DiscardMessage.md#function-clear)**() override |
| virtual const char * | **[Name](Classes/structllarp_1_1DiscardMessage.md#function-name)**() const override |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1DiscardMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) override |
| virtual bool | **[HandleMessage](Classes/structllarp_1_1DiscardMessage.md#function-handlemessage)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * ) const override |

## Additional inherited members

**Public Functions inherited from [llarp::ILinkMessage](Classes/structllarp_1_1ILinkMessage.md)**

|                | Name           |
| -------------- | -------------- |
| | **[ILinkMessage](Classes/structllarp_1_1ILinkMessage.md#function-ilinkmessage)**() =default |
| virtual | **[~ILinkMessage](Classes/structllarp_1_1ILinkMessage.md#function-~ilinkmessage)**() =default |
| bool | **[BDecode](Classes/structllarp_1_1ILinkMessage.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| virtual uint16_t | **[Priority](Classes/structllarp_1_1ILinkMessage.md#function-priority)**() const<br>get message prority, higher value means more important  |

**Public Attributes inherited from [llarp::ILinkMessage](Classes/structllarp_1_1ILinkMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [ILinkSession](Classes/structllarp_1_1ILinkSession.md) * | **[session](Classes/structllarp_1_1ILinkMessage.md#variable-session)** <br>who did this message come from or is going to  |
| uint64_t | **[version](Classes/structllarp_1_1ILinkMessage.md#variable-version)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathid](Classes/structllarp_1_1ILinkMessage.md#variable-pathid)**  |


## Public Functions Documentation

### function DiscardMessage

```cpp
inline DiscardMessage()
```


### function BEncode

```cpp
inline virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::ILinkMessage::BEncode](Classes/structllarp_1_1ILinkMessage.md#function-bencode)


### function Clear

```cpp
inline virtual void Clear() override
```


**Reimplements**: [llarp::ILinkMessage::Clear](Classes/structllarp_1_1ILinkMessage.md#function-clear)


### function Name

```cpp
inline virtual const char * Name() const override
```


**Reimplements**: [llarp::ILinkMessage::Name](Classes/structllarp_1_1ILinkMessage.md#function-name)


### function DecodeKey

```cpp
inline virtual bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * buf
) override
```


**Reimplements**: [llarp::ILinkMessage::DecodeKey](Classes/structllarp_1_1ILinkMessage.md#function-decodekey)


### function HandleMessage

```cpp
inline virtual bool HandleMessage(
    AbstractRouter * 
) const override
```


**Reimplements**: [llarp::ILinkMessage::HandleMessage](Classes/structllarp_1_1ILinkMessage.md#function-handlemessage)


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000