---
title: llarp::IOutboundMessageHandler

---

# llarp::IOutboundMessageHandler





Inherited by [llarp::OutboundMessageHandler](Classes/structllarp_1_1OutboundMessageHandler.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IOutboundMessageHandler](Classes/structllarp_1_1IOutboundMessageHandler.md#function-~ioutboundmessagehandler)**() =default |
| virtual bool | **[QueueMessage](Classes/structllarp_1_1IOutboundMessageHandler.md#function-queuemessage)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & remote, const [ILinkMessage](Classes/structllarp_1_1ILinkMessage.md) & msg, SendStatusHandler callback) =0 |
| virtual void | **[Pump](Classes/structllarp_1_1IOutboundMessageHandler.md#function-pump)**() =0 |
| virtual void | **[RemovePath](Classes/structllarp_1_1IOutboundMessageHandler.md#function-removepath)**(const [PathID_t](Classes/structllarp_1_1PathID__t.md) & pathid) =0 |
| virtual util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1IOutboundMessageHandler.md#function-extractstatus)**() const =0 |

## Public Functions Documentation

### function ~IOutboundMessageHandler

```cpp
virtual ~IOutboundMessageHandler() =default
```


### function QueueMessage

```cpp
virtual bool QueueMessage(
    const RouterID & remote,
    const ILinkMessage & msg,
    SendStatusHandler callback
) =0
```


**Reimplemented by**: [llarp::OutboundMessageHandler::QueueMessage](Classes/structllarp_1_1OutboundMessageHandler.md#function-queuemessage)


### function Pump

```cpp
virtual void Pump() =0
```


**Reimplemented by**: [llarp::OutboundMessageHandler::Pump](Classes/structllarp_1_1OutboundMessageHandler.md#function-pump)


### function RemovePath

```cpp
virtual void RemovePath(
    const PathID_t & pathid
) =0
```


**Reimplemented by**: [llarp::OutboundMessageHandler::RemovePath](Classes/structllarp_1_1OutboundMessageHandler.md#function-removepath)


### function ExtractStatus

```cpp
virtual util::StatusObject ExtractStatus() const =0
```


**Reimplemented by**: [llarp::OutboundMessageHandler::ExtractStatus](Classes/structllarp_1_1OutboundMessageHandler.md#function-extractstatus)


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000