---
title: llarp::OutboundMessageHandler

---

# llarp::OutboundMessageHandler





Inherits from [llarp::IOutboundMessageHandler](Classes/structllarp_1_1IOutboundMessageHandler.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[~OutboundMessageHandler](Classes/structllarp_1_1OutboundMessageHandler.md#function-~outboundmessagehandler)**() override =default |
| | **[OutboundMessageHandler](Classes/structllarp_1_1OutboundMessageHandler.md#function-outboundmessagehandler)**(size_t maxQueueSize =MAX_OUTBOUND_QUEUE_SIZE) |
| virtual bool | **[QueueMessage](Classes/structllarp_1_1OutboundMessageHandler.md#function-queuemessage)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & remote, const [ILinkMessage](Classes/structllarp_1_1ILinkMessage.md) & msg, SendStatusHandler callback) override |
| virtual void | **[Pump](Classes/structllarp_1_1OutboundMessageHandler.md#function-pump)**() override |
| virtual void | **[RemovePath](Classes/structllarp_1_1OutboundMessageHandler.md#function-removepath)**(const [PathID_t](Classes/structllarp_1_1PathID__t.md) & pathid) override |
| virtual util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1OutboundMessageHandler.md#function-extractstatus)**() const override |
| void | **[Init](Classes/structllarp_1_1OutboundMessageHandler.md#function-init)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router) |

## Additional inherited members

**Public Functions inherited from [llarp::IOutboundMessageHandler](Classes/structllarp_1_1IOutboundMessageHandler.md)**

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IOutboundMessageHandler](Classes/structllarp_1_1IOutboundMessageHandler.md#function-~ioutboundmessagehandler)**() =default |


## Public Functions Documentation

### function ~OutboundMessageHandler

```cpp
~OutboundMessageHandler() override =default
```


### function OutboundMessageHandler

```cpp
OutboundMessageHandler(
    size_t maxQueueSize =MAX_OUTBOUND_QUEUE_SIZE
)
```


### function QueueMessage

```cpp
virtual bool QueueMessage(
    const RouterID & remote,
    const ILinkMessage & msg,
    SendStatusHandler callback
) override
```


**Reimplements**: [llarp::IOutboundMessageHandler::QueueMessage](Classes/structllarp_1_1IOutboundMessageHandler.md#function-queuemessage)


### function Pump

```cpp
virtual void Pump() override
```


**Reimplements**: [llarp::IOutboundMessageHandler::Pump](Classes/structllarp_1_1IOutboundMessageHandler.md#function-pump)


### function RemovePath

```cpp
virtual void RemovePath(
    const PathID_t & pathid
) override
```


**Reimplements**: [llarp::IOutboundMessageHandler::RemovePath](Classes/structllarp_1_1IOutboundMessageHandler.md#function-removepath)


### function ExtractStatus

```cpp
virtual util::StatusObject ExtractStatus() const override
```


**Reimplements**: [llarp::IOutboundMessageHandler::ExtractStatus](Classes/structllarp_1_1IOutboundMessageHandler.md#function-extractstatus)


### function Init

```cpp
void Init(
    AbstractRouter * router
)
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000