---
title: llarp::dht::LocalTagLookup

---

# llarp::dht::LocalTagLookup





Inherits from [llarp::dht::TagLookup](Classes/structllarp_1_1dht_1_1TagLookup.md), [llarp::dht::TX< service::Tag, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LocalTagLookup](Classes/structllarp_1_1dht_1_1LocalTagLookup.md#function-localtaglookup)**(const [PathID_t](Classes/structllarp_1_1PathID__t.md) & path, uint64_t txid, const [service::Tag](Classes/structllarp_1_1service_1_1Tag.md) & target, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx) |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1LocalTagLookup.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[localPath](Classes/structllarp_1_1dht_1_1LocalTagLookup.md#variable-localpath)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::TagLookup](Classes/structllarp_1_1dht_1_1TagLookup.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TagLookup](Classes/structllarp_1_1dht_1_1TagLookup.md#function-taglookup)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const [service::Tag](Classes/structllarp_1_1service_1_1Tag.md) & tag, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, uint64_t recursion) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1TagLookup.md#function-validate)**(const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1TagLookup.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |

**Public Attributes inherited from [llarp::dht::TagLookup](Classes/structllarp_1_1dht_1_1TagLookup.md)**

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[recursionDepth](Classes/structllarp_1_1dht_1_1TagLookup.md#variable-recursiondepth)**  |

**Public Functions inherited from [llarp::dht::TX< service::Tag, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)**(const V & value) const =0 |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) =0 |

**Public Attributes inherited from [llarp::dht::TX< service::Tag, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function LocalTagLookup

```cpp
LocalTagLookup(
    const PathID_t & path,
    uint64_t txid,
    const service::Tag & target,
    AbstractContext * ctx
)
```


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


## Public Attributes Documentation

### variable localPath

```cpp
PathID_t localPath;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000