---
title: llarp::dht::ServiceAddressLookup

---

# llarp::dht::ServiceAddressLookup





Inherits from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)

Inherited by [llarp::dht::LocalServiceAddressLookup](Classes/structllarp_1_1dht_1_1LocalServiceAddressLookup.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ServiceAddressLookup](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#function-serviceaddresslookup)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & addr, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, uint32_t relayOrder, service::EncryptedIntroSetLookupHandler handler) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#function-validate)**(const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & value) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[location](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#variable-location)**  |
| service::EncryptedIntroSetLookupHandler | **[handleResult](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#variable-handleresult)**  |
| uint32_t | **[relayOrder](Classes/structllarp_1_1dht_1_1ServiceAddressLookup.md#variable-relayorder)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |

**Public Attributes inherited from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function ServiceAddressLookup

```cpp
ServiceAddressLookup(
    const TXOwner & asker,
    const Key_t & addr,
    AbstractContext * ctx,
    uint32_t relayOrder,
    service::EncryptedIntroSetLookupHandler handler
)
```


### function Validate

```cpp
virtual bool Validate(
    const service::EncryptedIntroSet & value
) const override
```


**Reimplements**: [llarp::dht::TX::Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)


### function Start

```cpp
virtual void Start(
    const TXOwner & peer
) override
```


**Reimplements**: [llarp::dht::TX::Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


## Public Attributes Documentation

### variable location

```cpp
Key_t location;
```


### variable handleResult

```cpp
service::EncryptedIntroSetLookupHandler handleResult;
```


### variable relayOrder

```cpp
uint32_t relayOrder;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000