---
title: llarp::routing::PathTransferMessage

---

# llarp::routing::PathTransferMessage





Inherits from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PathTransferMessage](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-pathtransfermessage)**() =default |
| | **[PathTransferMessage](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-pathtransfermessage)**(const [service::ProtocolFrame](Classes/structllarp_1_1service_1_1ProtocolFrame.md) & f, const [PathID_t](Classes/structllarp_1_1PathID__t.md) & p) |
| | **[~PathTransferMessage](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-~pathtransfermessage)**() override =default |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * val) override |
| virtual bool | **[BEncode](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |
| virtual bool | **[HandleMessage](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-handlemessage)**([IMessageHandler](Classes/structllarp_1_1routing_1_1IMessageHandler.md) * , [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * r) const override |
| virtual void | **[Clear](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#function-clear)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[P](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#variable-p)**  |
| [service::ProtocolFrame](Classes/structllarp_1_1service_1_1ProtocolFrame.md) | **[T](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#variable-t)**  |
| [TunnelNonce](Classes/structllarp_1_1AlignedBuffer.md) | **[Y](Classes/structllarp_1_1routing_1_1PathTransferMessage.md#variable-y)**  |

## Additional inherited members

**Public Functions inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| | **[IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-imessage)**() =default |
| virtual | **[~IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-~imessage)**() =default |
| bool | **[operator<](Classes/structllarp_1_1routing_1_1IMessage.md#function-operator<)**(const [IMessage](Classes/structllarp_1_1routing_1_1IMessage.md) & other) const |

**Public Attributes inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[from](Classes/structllarp_1_1routing_1_1IMessage.md#variable-from)**  |
| uint64_t | **[S](Classes/structllarp_1_1routing_1_1IMessage.md#variable-s)**  |
| uint64_t | **[version](Classes/structllarp_1_1routing_1_1IMessage.md#variable-version)**  |


## Public Functions Documentation

### function PathTransferMessage

```cpp
PathTransferMessage() =default
```


### function PathTransferMessage

```cpp
inline PathTransferMessage(
    const service::ProtocolFrame & f,
    const PathID_t & p
)
```


### function ~PathTransferMessage

```cpp
~PathTransferMessage() override =default
```


### function DecodeKey

```cpp
virtual bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * val
) override
```


**Reimplements**: [llarp::routing::IMessage::DecodeKey](Classes/structllarp_1_1routing_1_1IMessage.md#function-decodekey)


### function BEncode

```cpp
virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::routing::IMessage::BEncode](Classes/structllarp_1_1routing_1_1IMessage.md#function-bencode)


### function HandleMessage

```cpp
virtual bool HandleMessage(
    IMessageHandler * ,
    AbstractRouter * r
) const override
```


**Reimplements**: [llarp::routing::IMessage::HandleMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-handlemessage)


### function Clear

```cpp
inline virtual void Clear() override
```


**Reimplements**: [llarp::routing::IMessage::Clear](Classes/structllarp_1_1routing_1_1IMessage.md#function-clear)


## Public Attributes Documentation

### variable P

```cpp
PathID_t P;
```


### variable T

```cpp
service::ProtocolFrame T;
```


### variable Y

```cpp
TunnelNonce Y;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000