---
title: tooling::FindRouterEvent

---

# tooling::FindRouterEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

Inherited by [tooling::FindRouterReceivedEvent](Classes/structtooling_1_1FindRouterReceivedEvent.md), [tooling::FindRouterSentEvent](Classes/structtooling_1_1FindRouterSentEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FindRouterEvent](Classes/structtooling_1_1FindRouterEvent.md#function-findrouterevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouter, const [llarp::dht::FindRouterMessage](Classes/structllarp_1_1dht_1_1FindRouterMessage.md) & msg) |
| virtual std::string | **[ToString](Classes/structtooling_1_1FindRouterEvent.md#function-tostring)**() const override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[from](Classes/structtooling_1_1FindRouterEvent.md#variable-from)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[targetKey](Classes/structtooling_1_1FindRouterEvent.md#variable-targetkey)**  |
| bool | **[iterative](Classes/structtooling_1_1FindRouterEvent.md#variable-iterative)**  |
| bool | **[exploritory](Classes/structtooling_1_1FindRouterEvent.md#variable-exploritory)**  |
| uint64_t | **[txid](Classes/structtooling_1_1FindRouterEvent.md#variable-txid)**  |
| uint64_t | **[version](Classes/structtooling_1_1FindRouterEvent.md#variable-version)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function FindRouterEvent

```cpp
inline FindRouterEvent(
    const llarp::RouterID & ourRouter,
    const llarp::dht::FindRouterMessage & msg
)
```


### function ToString

```cpp
inline virtual std::string ToString() const override
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable from

```cpp
llarp::dht::Key_t from;
```


### variable targetKey

```cpp
llarp::RouterID targetKey;
```


### variable iterative

```cpp
bool iterative;
```


### variable exploritory

```cpp
bool exploritory;
```


### variable txid

```cpp
uint64_t txid;
```


### variable version

```cpp
uint64_t version;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000