---
title: llarp::dht::RecursiveRouterLookup

---

# llarp::dht::RecursiveRouterLookup





Inherits from [llarp::dht::TX< RouterID, RouterContact >](Classes/structllarp_1_1dht_1_1TX.md)

Inherited by [llarp::dht::LocalRouterLookup](Classes/structllarp_1_1dht_1_1LocalRouterLookup.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RecursiveRouterLookup](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-recursiverouterlookup)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & whoasked, const [RouterID](Classes/structllarp_1_1RouterID.md) & target, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, RouterLookupHandler result) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-validate)**(const [RouterContact](Classes/structllarp_1_1RouterContact.md) & rc) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| RouterLookupHandler | **[resultHandler](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#variable-resulthandler)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::TX< RouterID, RouterContact >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |

**Public Attributes inherited from [llarp::dht::TX< RouterID, RouterContact >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function RecursiveRouterLookup

```cpp
RecursiveRouterLookup(
    const TXOwner & whoasked,
    const RouterID & target,
    AbstractContext * ctx,
    RouterLookupHandler result
)
```


### function Validate

```cpp
virtual bool Validate(
    const RouterContact & rc
) const override
```


**Reimplements**: [llarp::dht::TX::Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)


### function Start

```cpp
virtual void Start(
    const TXOwner & peer
) override
```


**Reimplements**: [llarp::dht::TX::Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


## Public Attributes Documentation

### variable resultHandler

```cpp
RouterLookupHandler resultHandler;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000