---
title: llarp::quic::ConnectionID

---

# llarp::quic::ConnectionID





Inherits from ngtcp2_cid

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-connectionid)**() =default |
| | **[ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-connectionid)**(const uint8_t * cid, size_t length) |
| | **[ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-connectionid)**(const [ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md) & c) =default |
| | **[ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-connectionid)**(ngtcp2_cid c) |
| [ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md) & | **[operator=](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-operator=)**(const [ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md) & c) =default |
| bool | **[operator==](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-operator==)**(const [ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md) & other) const |
| bool | **[operator!=](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-operator!=)**(const [ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md) & other) const |
| std::string | **[ToString](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-tostring)**() const |
| constexpr size_t | **[max_size](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-max-size)**() |
| [ConnectionID](Classes/structllarp_1_1quic_1_1ConnectionID.md) | **[random](Classes/structllarp_1_1quic_1_1ConnectionID.md#function-random)**(size_t size =ConnectionID::max_size()) |

## Public Functions Documentation

### function ConnectionID

```cpp
ConnectionID() =default
```


### function ConnectionID

```cpp
ConnectionID(
    const uint8_t * cid,
    size_t length
)
```


### function ConnectionID

```cpp
ConnectionID(
    const ConnectionID & c
) =default
```


### function ConnectionID

```cpp
inline ConnectionID(
    ngtcp2_cid c
)
```


### function operator=

```cpp
ConnectionID & operator=(
    const ConnectionID & c
) =default
```


### function operator==

```cpp
inline bool operator==(
    const ConnectionID & other
) const
```


### function operator!=

```cpp
inline bool operator!=(
    const ConnectionID & other
) const
```


### function ToString

```cpp
std::string ToString() const
```


### function max_size

```cpp
static inline constexpr size_t max_size()
```


### function random

```cpp
static ConnectionID random(
    size_t size =ConnectionID::max_size()
)
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000