---
title: llarp::routing::DataDiscardMessage

---

# llarp::routing::DataDiscardMessage





Inherits from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[DataDiscardMessage](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#function-datadiscardmessage)**() =default |
| | **[DataDiscardMessage](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#function-datadiscardmessage)**(const [PathID_t](Classes/structllarp_1_1PathID__t.md) & dst, uint64_t s) |
| virtual void | **[Clear](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#function-clear)**() override |
| virtual bool | **[HandleMessage](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#function-handlemessage)**([IMessageHandler](Classes/structllarp_1_1routing_1_1IMessageHandler.md) * h, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * r) const override |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & k, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) override |
| virtual bool | **[BEncode](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[P](Classes/structllarp_1_1routing_1_1DataDiscardMessage.md#variable-p)**  |

## Additional inherited members

**Public Functions inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| | **[IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-imessage)**() =default |
| virtual | **[~IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-~imessage)**() =default |
| bool | **[operator<](Classes/structllarp_1_1routing_1_1IMessage.md#function-operator<)**(const [IMessage](Classes/structllarp_1_1routing_1_1IMessage.md) & other) const |

**Public Attributes inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[from](Classes/structllarp_1_1routing_1_1IMessage.md#variable-from)**  |
| uint64_t | **[S](Classes/structllarp_1_1routing_1_1IMessage.md#variable-s)**  |
| uint64_t | **[version](Classes/structllarp_1_1routing_1_1IMessage.md#variable-version)**  |


## Public Functions Documentation

### function DataDiscardMessage

```cpp
DataDiscardMessage() =default
```


### function DataDiscardMessage

```cpp
inline DataDiscardMessage(
    const PathID_t & dst,
    uint64_t s
)
```


### function Clear

```cpp
inline virtual void Clear() override
```


**Reimplements**: [llarp::routing::IMessage::Clear](Classes/structllarp_1_1routing_1_1IMessage.md#function-clear)


### function HandleMessage

```cpp
inline virtual bool HandleMessage(
    IMessageHandler * h,
    AbstractRouter * r
) const override
```


**Reimplements**: [llarp::routing::IMessage::HandleMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-handlemessage)


### function DecodeKey

```cpp
inline virtual bool DecodeKey(
    const llarp_buffer_t & k,
    llarp_buffer_t * buf
) override
```


**Reimplements**: [llarp::routing::IMessage::DecodeKey](Classes/structllarp_1_1routing_1_1IMessage.md#function-decodekey)


### function BEncode

```cpp
inline virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::routing::IMessage::BEncode](Classes/structllarp_1_1routing_1_1IMessage.md#function-bencode)


## Public Attributes Documentation

### variable P

```cpp
PathID_t P;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000