---
title: llarp::service::EndpointUtil

---

# llarp::service::EndpointUtil





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[ExpireSNodeSessions](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-expiresnodesessions)**(llarp_time_t now, SNodeSessions & sessions) |
| void | **[ExpirePendingTx](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-expirependingtx)**(llarp_time_t now, PendingLookups & lookups) |
| void | **[ExpirePendingRouterLookups](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-expirependingrouterlookups)**(llarp_time_t now, PendingRouters & routers) |
| void | **[DeregisterDeadSessions](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-deregisterdeadsessions)**(llarp_time_t now, Sessions & sessions) |
| void | **[TickRemoteSessions](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-tickremotesessions)**(llarp_time_t now, Sessions & remoteSessions, Sessions & deadSessions, ConvoMap & sessions) |
| void | **[ExpireConvoSessions](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-expireconvosessions)**(llarp_time_t now, ConvoMap & sessions) |
| void | **[StopRemoteSessions](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-stopremotesessions)**(Sessions & remoteSessions) |
| void | **[StopSnodeSessions](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-stopsnodesessions)**(SNodeSessions & sessions) |
| bool | **[HasPathToService](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-haspathtoservice)**(const [Address](Classes/structllarp_1_1service_1_1Address.md) & addr, const Sessions & remoteSessions) |
| bool | **[GetConvoTagsForService](Classes/structllarp_1_1service_1_1EndpointUtil.md#function-getconvotagsforservice)**(const ConvoMap & sessions, const [Address](Classes/structllarp_1_1service_1_1Address.md) & addr, std::set< [ConvoTag](Classes/structllarp_1_1service_1_1ConvoTag.md) > & tags) |

## Public Functions Documentation

### function ExpireSNodeSessions

```cpp
static void ExpireSNodeSessions(
    llarp_time_t now,
    SNodeSessions & sessions
)
```


### function ExpirePendingTx

```cpp
static void ExpirePendingTx(
    llarp_time_t now,
    PendingLookups & lookups
)
```


### function ExpirePendingRouterLookups

```cpp
static void ExpirePendingRouterLookups(
    llarp_time_t now,
    PendingRouters & routers
)
```


### function DeregisterDeadSessions

```cpp
static void DeregisterDeadSessions(
    llarp_time_t now,
    Sessions & sessions
)
```


### function TickRemoteSessions

```cpp
static void TickRemoteSessions(
    llarp_time_t now,
    Sessions & remoteSessions,
    Sessions & deadSessions,
    ConvoMap & sessions
)
```


### function ExpireConvoSessions

```cpp
static void ExpireConvoSessions(
    llarp_time_t now,
    ConvoMap & sessions
)
```


### function StopRemoteSessions

```cpp
static void StopRemoteSessions(
    Sessions & remoteSessions
)
```


### function StopSnodeSessions

```cpp
static void StopSnodeSessions(
    SNodeSessions & sessions
)
```


### function HasPathToService

```cpp
static bool HasPathToService(
    const Address & addr,
    const Sessions & remoteSessions
)
```


### function GetConvoTagsForService

```cpp
static bool GetConvoTagsForService(
    const ConvoMap & sessions,
    const Address & addr,
    std::set< ConvoTag > & tags
)
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000