---
title: tooling::FindRouterSentEvent

---

# tooling::FindRouterSentEvent





Inherits from [tooling::FindRouterEvent](Classes/structtooling_1_1FindRouterEvent.md), [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FindRouterEvent](Classes/structtooling_1_1FindRouterSentEvent.md#function-findrouterevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouter, const [llarp::dht::FindRouterMessage](Classes/structllarp_1_1dht_1_1FindRouterMessage.md) & msg) |

## Additional inherited members

**Public Functions inherited from [tooling::FindRouterEvent](Classes/structtooling_1_1FindRouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| virtual std::string | **[ToString](Classes/structtooling_1_1FindRouterEvent.md#function-tostring)**() const override |

**Public Attributes inherited from [tooling::FindRouterEvent](Classes/structtooling_1_1FindRouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[from](Classes/structtooling_1_1FindRouterEvent.md#variable-from)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[targetKey](Classes/structtooling_1_1FindRouterEvent.md#variable-targetkey)**  |
| bool | **[iterative](Classes/structtooling_1_1FindRouterEvent.md#variable-iterative)**  |
| bool | **[exploritory](Classes/structtooling_1_1FindRouterEvent.md#variable-exploritory)**  |
| uint64_t | **[txid](Classes/structtooling_1_1FindRouterEvent.md#variable-txid)**  |
| uint64_t | **[version](Classes/structtooling_1_1FindRouterEvent.md#variable-version)**  |

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |
| virtual std::string | **[ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)**() const |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function FindRouterEvent

```cpp
inline FindRouterEvent(
    const llarp::RouterID & ourRouter,
    const llarp::dht::FindRouterMessage & msg
)
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000