---
title: tooling

---

# tooling



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[tooling::PubIntroSentEvent](Classes/structtooling_1_1PubIntroSentEvent.md)**  |
| struct | **[tooling::PubIntroReceivedEvent](Classes/structtooling_1_1PubIntroReceivedEvent.md)**  |
| struct | **[tooling::GotIntroReceivedEvent](Classes/structtooling_1_1GotIntroReceivedEvent.md)**  |
| struct | **[tooling::FindRouterEvent](Classes/structtooling_1_1FindRouterEvent.md)**  |
| struct | **[tooling::FindRouterReceivedEvent](Classes/structtooling_1_1FindRouterReceivedEvent.md)**  |
| struct | **[tooling::FindRouterSentEvent](Classes/structtooling_1_1FindRouterSentEvent.md)**  |
| struct | **[tooling::HiveContext](Classes/structtooling_1_1HiveContext.md)** <br>[HiveContext]() is a subclass of llarp::Context which allows [RouterHive]() to perform custom behavior which might be undesirable in production code.  |
| struct | **[tooling::HiveRouter](Classes/structtooling_1_1HiveRouter.md)** <br>[HiveRouter]() is a subclass of Router which overrides specific behavior in order to perform testing-related functions.  |
| struct | **[tooling::PathAttemptEvent](Classes/structtooling_1_1PathAttemptEvent.md)**  |
| struct | **[tooling::PathRequestReceivedEvent](Classes/structtooling_1_1PathRequestReceivedEvent.md)**  |
| struct | **[tooling::PathStatusReceivedEvent](Classes/structtooling_1_1PathStatusReceivedEvent.md)**  |
| struct | **[tooling::PathBuildRejectedEvent](Classes/structtooling_1_1PathBuildRejectedEvent.md)**  |
| struct | **[tooling::LinkSessionEstablishedEvent](Classes/structtooling_1_1LinkSessionEstablishedEvent.md)**  |
| struct | **[tooling::ConnectionAttemptEvent](Classes/structtooling_1_1ConnectionAttemptEvent.md)**  |
| struct | **[tooling::RCGossipReceivedEvent](Classes/structtooling_1_1RCGossipReceivedEvent.md)**  |
| struct | **[tooling::RCGossipSentEvent](Classes/structtooling_1_1RCGossipSentEvent.md)**  |
| struct | **[tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**  |
| struct | **[tooling::RouterHive](Classes/structtooling_1_1RouterHive.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| using std::unique_ptr< [RouterEvent](Classes/structtooling_1_1RouterEvent.md) > | **[RouterEventPtr](Namespaces/namespacetooling.md#using-routereventptr)**  |

## Types Documentation

### using RouterEventPtr

```cpp
using tooling::RouterEventPtr = typedef std::unique_ptr<RouterEvent>;
```







-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000